import request from '@/utils/request'

//获取值班记录列表
export function getListYmd(query) {
  return request({
    url: '/laboratory/XxpInspection/listYmd',
    method: 'get',
    params: query
  })
}
//获取正常记录
export function listStandard(query) {
  return request({
    url: 'laboratory/XxpInspection/listStandard',
    method: 'get',
    params: query
  })
}
//获取异常记录
export function listAbnormal(query) {
  return request({
    url: '/laboratory/XxpInspection/listAbnormal',
    method: 'get',
    params: query
  })
}









//获取条件列表
export function materialdataList(query) {
  return request({
    url: '/laboratory/materialdata/list',
    method: 'get',
    params: query
  })
}

//添加条件
export function materialdata(data) {
  return request({
    url: '/laboratory/materialdata/add',
    method: 'post',
    data: data
  })
}

//删除条件
export function materialdataDel(id) {
  return request({
    url: '/laboratory/materialdata/'+id,
    method: 'delete',
  })
}

//编辑条件
export function materialdataPut(data) {
  return request({
    url: '/laboratory/materialdata',
    method: 'put',
    data:data
  })
}
